kind: pipeline
type: docker
name: wireguard-dashboard

trigger:
  event: [tag]

steps:
  - name: builder
    image: plugins/docker
    settings:
      registry: gitea.mrx.ltd                       # 镜像仓库地址
      repo: gitea.mrx.ltd/go-pkg/wireguard-dashboard          # 镜像仓库地址
      username:
        from_secret: docker_user
      password:
        from_secret: docker_pwd
      use_cache: true
      auto_tag: true